/// <reference types="vite/client" />

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<object, object, unknown>
  export default component
}

declare module '*.js' {
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  const mod: any
  export = mod
}
